#include "common.h"

Vector plane_ray_intersection(Vector p1, Vector p2, Vector n, float d)
{
	Vector dir = p2 - p1;
	float _dot = dot(n,dir);

	if(fabs(_dot)>0.0001f)
		return p1 - (dir * ((dot(p1, n)+d) / _dot));
	else
		return p1;
}
